TEMPLATE	= app
CONFIG	= qt release thread

#change these variables to your system specific paths on your machine

#where your QextScintilla source is installed (http://www.riverbankcomputing.co.uk/)
QEXTSCINTILLADIR = ../qscintilla/
#where your QextMDI source is installed (http://www.geocities.com/gigafalk/qextmdi.htm)
QEXTMDIDIR = ../qextmdi/
#where your python header files are installed (http://www.python.org)
PYTHON_INCLUDE_DIR = /usr/include/python/
#where your python libs are installed 
PYTHON_LIB_DIR = /usr/lib/python/

unix:INCLUDEPATH= 	$$QEXTSCINTILLADIR/qt/ $$QEXTSCINTILLADIR/include $$QEXTMDIDIR/include/ \
			$$PYTHON_INCLUDE_DIR 
unix:LIBS	=  	-L$$PYTHON_LIB_DIR/config -L$$QEXTSCINTILLADIR/lib -L$$QEXTMDIDIR/lib \
			-lqextmdi -lqscintilla -lpython2.2 -lutil

TARGET = cute
DESTDIR = ../bin

HEADERS	= cute.h \
		  cuteview.h \
		  cutescintilla.h\
		  cuteshell.h \
		  icons/pixmaps.h \
		  resource.h \
		  config.h \
		  finddlg.h \
		  replacedlg.h \
		  windowdlg.h \
		  savedlg.h \
		  outputview.h \
		  dirview.h \
		  qcompletionbox.h \
		  cmdinterpreter.h \
		  py_buffer.h \
		  py_config.h \
		  python_api.h \
		  findinfilesdlg.h \
		  lexer.h \
		  settingsdlg.h \
		  shortcutsdlg.h \
		  shortcutdlg.h \
		  readtags.h \
		  shortcuts.h \
		  general.h \
		  helpviewer.h

SOURCES	= cute.cpp \
		  cuteview.cpp \
		  cutescintilla.cpp \
		  cuteshell.cpp \
		  main.cpp \
		  config.cpp \
		  finddlg.cpp \
		  replacedlg.cpp \
		  windowdlg.cpp \
		  savedlg.cpp \
		  outputview.cpp \
		  dirview.cpp \
		  qcompletionbox.cpp \
		  cmdinterpreter.cpp \
		  python_api.cpp \
		  py_buffer.cpp \
		  py_config.cpp \
		  findinfilesdlg.cpp \
		  lexer.cpp \
		  settingsdlg.cpp \
		  shortcutsdlg.cpp \
		  shortcutdlg.cpp \
		  readtags.c \
		  shortcuts.cpp \
		  helpviewer.cpp

INTERFACES_DIR = ui

INTERFACES	= ui/aboutdlg.ui ui/finddialog.ui ui/replacedialog.ui ui/licensedlg.ui \ 
		  ui/windowdialog.ui ui/savedialog.ui ui/outputviewbase.ui ui/findinfilesdialog.ui \
		  ui/settings.ui ui/shortcutsdialog.ui ui/shortcutdialog.ui

OBJECTS_DIR = obj

MOC_DIR = moc

DEFINES = NO_KDE2 QT3
