# (C) Copyright 2003, Heiko Khler

Name:         cute
License:      GPL
Group:        Productivity/Editors
Summary:      a scintilla based, scriptable code editor using python
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Version:      0.2.0
Release:      0
Source:       cute-%{version}.tar.gz
Distribution: SuSE 8.2
url:          http://cute.sourceforge.net
Packager:     Heiko Khler <heicom@users.sourceforge.net>
Provides:     cute
Requires:     qt3
Vendor:       Heiko Khler

%description
The CUTE User-friendly Text Editor is a Qt and Scintilla based text editor which can be easily extended using  python. 
It 's main purpose is to be an user-friendly source code editor with a common graphical user interface. 
The editor is beta software, but can be used for most editing tasks.

%prep
%setup -q -n %name-%version
#%patch

%build
export QTDIR=/usr/lib/qt3/
export QMAKESPEC=/usr/lib/qt3/mkspecs/linux-g++/
export QTDIR_LIB=$RPM_BUILD_ROOT/$QTDIR/%_lib
export PATH=$QTDIR/bin/:$PATH
qmake -o Makefile cute.pro
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin/X11
install cute $RPM_BUILD_ROOT/usr/bin/X11/
mkdir -p $RPM_BUILD_ROOT/usr/share/cute/lib
install scripts/*.py $RPM_BUILD_ROOT/usr/share/cute/lib/
mkdir -p $RPM_BUILD_ROOT/usr/share/cute/langs
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
install langs/*.py $RPM_BUILD_ROOT/usr/share/cute/langs/
install icons/cute.xpm $RPM_BUILD_ROOT/usr/share/icons/
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/cute
install doc/doc/*.html $RPM_BUILD_ROOT/usr/share/doc/cute

%clean
make distclean

%files
%defattr(-,root,root)
/usr/bin/X11/cute
/usr/share/cute/
/usr/share/icons/cute.xpm
/usr/share/doc/cute/
