/***************************************************************************
                          cutescintilla.h  -  extension on qscintilla
                             -------------------
    begin                : Sam Jul 19 23:53:49 CEST 2003
    copyright            : (C) 2003 by Heiko Khler
    email                : heicom@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __CUTESCINTILLA_H__
#define __CUTESCINTILLA_H__

#include <qextscintilla.h>
#include <qmap.h>
#include <qaction.h>
#include <qpopupmenu.h>

/** class encapsulating QextScintilla */
class CUTEScintilla : public QextScintilla
{
	Q_OBJECT
public:
	CUTEScintilla(QWidget *parent=0, const char *name=0);
	/** set shortcuts, defined in actions */
	void setActions(QMap<int, QAction*>);
protected:
	bool eventFilter(QObject *obj, QEvent *e);
	void contextMenu(QContextMenuEvent *e);
private:
	QPopupMenu *menu;
};

#endif
